/* lightbox detalles ================================== */
.mfp-wrap #jckqv .button { background: #b8001f; }

.jckqvBtn { /* boton ver detalles */
    -webkit-transform: translate3d(0,-150px,0);
    -moz-transform: translate3d(0,-150px,0);
    -ms-transform: translate3d(0,-150px,0);
    transform: translate3d(0,-150px,0);
}
/* commons ================================== */
.products div.product { border: none; }

.woocommerce-page #product_wrapper a.added_to_cart {
    display: none !important;
    visibility: hidden !important;
}

.woocommerce-page .main > #product_wrapper { margin-top: 40px; }

.woocommerce-page .main > #product_wrapper .lo-ultimo,
.ordenar-categorias .row  { text-transform: uppercase; }

/* grupo imagen y añadir al carrito
------------------------------------------------------------------ */
.woocommerce-page #product_wrapper .kad_product img { width: 50%; }
.woocommerce-page .product_item a.product_item_link { position: relative; z-index: 5; }
/* boton comprar ========================================================== */
.woocommerce-page #product_wrapper .kad_product .grupo-img-cart {
    position: relative;
    overflow: hidden;
    background-color: #f9fbfb;
}

.woocommerce-page #product_wrapper .kad_product .grupo-img-cart::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 80px;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ecefef;

}
/* grupo imagen :hover ------------------------------------------------------- */
.woocommerce-page #product_wrapper .kad_product .grupo-img-cart:hover .ver-detalle {
    transform: none;
}
/* ver detalle --------------------------------------------------------------- */
.woocommerce-page #product_wrapper .kad_product .grupo-img-cart .ver-detalle {
    position: absolute;
    width: 50px;
    top: 0;
    right: 15px;
    padding: 10px 0;
    background-color: rgb(193, 0, 33);

    line-height: 14px;
    text-transform: none;
    text-align: center;
    font-size: 12px;

    z-index: 9;

    -webkit-transition: transform 0.35s ease-in-out;
    -moz-transition: transform 0.35s ease-in-out;
    -ms-transition: transform 0.35s ease-in-out;
    -o-transition: transform 0.35s ease-in-out;
    transition: transform 0.35s ease-in-out;

    -webkit-transform: translate(0,-150%);
    -moz-transform: translate(0,-150%);
    -ms-transform: translate(0,-150%);
    -o-transform: translate(0,-150%);
    transform: translate(0,-150%);
}

.woocommerce-page #product_wrapper .kad_product .grupo-img-cart .ver-detalle::after,
.woocommerce-page #product_wrapper .kad_product .grupo-img-cart .ver-detalle::before {
    content: '';
    position: absolute;
    display: block;
    width: 0;
    height: 0;
    bottom: -15px;
    border-bottom: 15px solid transparent;
}

.woocommerce-page #product_wrapper .kad_product .grupo-img-cart .ver-detalle::after {
    right: 0;
    border-right: 25px solid rgb(193, 0, 33);
}

.woocommerce-page #product_wrapper .kad_product .grupo-img-cart .ver-detalle::before {
    left: 0;
    border-left: 25px solid rgb(193, 0, 33);
}

.woocommerce-page #product_wrapper .kad_product .grupo-img-cart .ver-detalle a { color: white; }

/* boton agregar al carrito --------------------------------------------------------------- */
.woocommerce-page #product_wrapper .kad_product a.add_to_cart_button {
    position: absolute;
    width: 154px;
    bottom: 0;
    left: 50%;
    margin-left: -77px;
    padding-right: 5px;
    padding-left: 5px;
    background-color: #c10021;

    text-decoration: none;
    text-transform: uppercase;
    font-weight: 700;
    font-size: 13px;
    color: white;

    z-index: 10;
}
.woocommerce-page #product_wrapper .kad_product a.add_to_cart_button::before,
 .woocommerce-page #product_wrapper .kad_product a.replace_to_cart_button::before{
    content: '';
    position: absolute;
    height: 40px;
    width: 80%;
    top: -160px;
    right: 50%;
    left: initial;
    margin-right: -40%;
    border-radius: 5px;

    text-indent: 0;
    line-height: 40px;
    font-size: 12px;
    color: white;

    opacity: 0;
    -webkit-animation-duration: 2s;
    animation-duration: 2s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;

    /* init position ------------------------ */
    -webkit-animation-name: bounceOutDown;
    animation-name: bounceOutDown;
}

.woocommerce-page #product_wrapper .kad_product a.add_to_cart_button.loading::before,
.woocommerce-page #product_wrapper .kad_product a.replace_to_cart_button.loading::before {
    content: 'Agregando ...';
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-name: fadeInDown;
    animation-name: fadeInDown;
    background: #f0ad4e;
}
.woocommerce-page #product_wrapper .kad_product a.replace_to_cart_button.loading::before {
    content: 'Remplazando ...';
}

.woocommerce-page #product_wrapper .kad_product a.add_to_cart_button.added::before,
.woocommerce-page #product_wrapper .kad_product a.replace_to_cart_button.added::before {
    content: 'Agregado';
    -webkit-animation-name: bounceOutDown;
    animation-name: bounceOutDown;
    background: #5cb85c;
}
.woocommerce-page #product_wrapper .kad_product a.replace_to_cart_button.added::before {
    content: 'Remplazado';
}
/* descripción ================================= */
.woocommerce-page .product_item .product_details .cat_producto { font-size: 12px; }

.woocommerce-page .product_item .product_details h5 {
    min-height: 0;
    padding-top: 0;

    line-height: 20px;
    font-weight: 800;
    font-size: 16px;
    color: black;
}

.woocommerce-page .product_item .product_details h5 a,
.woocommerce-page .product_item .product_details h5 a:hover { color: black; }

.woocommerce-page .product_item .precio-producto-label { text-transform: capitalize; font-size: 12px; }
.woocommerce-page .product_item .product_price {
    display: inline-block;
    padding: 0;
    padding-top: 5px;

    line-height: 15px;
    font-weight: 600;
    font-size: 16px;
    color: black;
}
.woocommerce-page .product_price del .amount { color: #474747; font-size: 12px; }
.woocommerce-page .product_price ins .amount { color: black; }

/*  Sidebar
clases loop: tcol-md-3 tcol-sm-4 tcol-xs-6 tcol-ss-12
======================================================================= */
.woocommerce-page .sidebar {
    border-left: 1px solid #c3c6c5;
    border-top: 1px solid #c3c6c5;
}
.woocommerce-page .hl-lo-ultimo,
.woocommerce-page .sidebar .hl-best-selling {
    position: relative;
    width: 214px;
    margin: auto;
    top: -15px;

    text-align: center;
    font-weight: 700;
    font-size: 18px;
    background-color: white;
}

.woocommerce-page .sidebar .woocommerce #product_wrapper .tcol-md-3.tcol-sm-4.tcol-xs-6.tcol-ss-12 {
    width: 100%;
    padding-left: 20px;
    padding-right: 0;
}
.woocommerce-page .sidebar .woocommerce #product_wrapper .tcol-md-3.tcol-sm-4.tcol-xs-6.tcol-ss-12 img { width: 50%; }

@media (max-width : 1024px) {
    .lo-ultimo .kad_product.fadeOut {
        display: none;
    }
}


/*oferta producto*/
.grupo-img-cart, .informacion-de-producto, .product-name {
    .onsale {
        position: absolute !important;
        left: 30px !important;
        vertical-align: bottom !important;
        top: 0px !important;
        line-height: 14px !important;
        max-height: 55px;
        max-width: 100px !important;

        //background-color: #C10021;
        &:before{
            content: url("../../Imagenes/etiqueta-promo-barman.png");
            position: absolute;
            left: -30px;
            top: 0px;            
        }
        span {
            color: #fff ;
            transition: .1s ease-in;
            padding: 6px !important;
            &:before {
                text-align: right;
                content: "";
                width: 100%;
                height: 100%;
                background-color: #0082c6;
                position: absolute;
                top: 0;
                left: 2px;
                z-index: -1;
                transition: .5s all;
            }
        }
    }    
}


/*interna producto*/
.informacion-de-producto {
    .onsale {
        top: -90px !important;
    }
        @media(max-width: 1024px){
        .onsale {
            top: 0px !important;
        }
    }
}


/*dropdown carrito*/
.mini_cart_item {
    .onsale{
        display: inline-block !important;
        position: relative !important;
        left: -5px !important;
    }    
}
.product-name {
    position: relative;
}

/*checkout*/
table.shop_table.woocommerce-checkout-review-order-table {
    .onsale{
        position: relative !important;
        top: 0 !important;
        left: 0 !important;
        background: transparent;
        color: #B8001F;
        padding: 0 !important;
        text-align: left;      
        &:before{
            content:"";
        }
        span{
            color:#B8001F;
            &:before {
                background-color: transparent;
            }
        }
    }
    @media(max-width: 1024px){
        .onsale {
           span {
            color: #B8001F !important;
            padding: 0px !important;
            &::before {
                width: 0;
                background-color: blue !important;
            }
           }
        }
    }
}